Subject: [GROW] Updates to draft-ietf-grow-private-ip-sp-cores

From: Anthony Kirkham <[email-masked]>
Date: Sun, 17 Jun 2012 15:59:30 +1000

All,

I have just posted a new version of draft-ietf-grow-private-ip-sp-cores. 
I have made the following minor changes to the document. Thank you to 
those people who provided review and feedback.

*Section 12.2 *

"informative References"  is now "Informative References"

*Section 1 - Introduction*

From:

"The practice of ISPs using 'stolen' address space (also known as 
'squat' space) has many of the same issues (or effects) as that of using 
private IP address space within core networks.", plus some additional

  to:

"The practice of ISPs using 'stolen' address space (also known as 
'squat' space) has many of the same, plus some additional issues (or 
effects) as that of using private IP address space within core networks."

*Section 3 - Effects on Traceroute*

From:

   " This effect in itself is often not a problem.  However, if anti-
    spoofing controls are applied at network perimeters, then responses
    returned from hops with private IP addresses will be dropped.  Anti-
    spoofing refers to a security control where traffic with an invalid
    source address is discarded.  Anti-spoofing is further described in
    [BCP38]/[RFC2827]. "

to:

This effect in itself is often not a problem.  However, if anti-
    spoofing controls are applied at network perimeters, then responses
    returned from hops with private IP addresses will be dropped.  Anti-
    spoofing refers to a security control where traffic with an invalid
    source address is discarded.  Anti-spoofing is further described in
    [BCP38]/[RFC2827]and[BCP84]/[RFC3704].  Additionally any RFC1918
    filtering mechanism, such as those employed in most firewalls and
    many other network devices can cause the same effect.

*Within Section 5:*

...

    R1#traceroute 198.51.100.100

    Type escape sequence to abort.
    Tracing the route to 198.51.100.100

      1 10.1.1.2 0 msec 0 msec 0 msec
      2 198.51.100.13 0 msec 4 msec 0 msec
      3 10.1.1.2 0 msec 4 msec 0 msec <<<<
      4 198.51.100.5 4 msec 0 msec 4 msec
      5 198.51.100.1 0 msec 0 msec 0 msec
    R1#

following para, from:

"This overlapping address space configuration is likely to cause
    confusion among operational staff, thereby making it more difficult
    to successfully debug networking problems."

to:

"This duplicate address space scenario has the potential to cause 
confusion among operational staff, thereby making it more difficult to 
successfully debug networking problems."

Note: I think the wording here needed to be a little clearer, but I'm 
not going to explicitly mention this is not a routing loop as I think 
the example itself is fairly clear.

Fixed NIT: "Reserver" changed to "reserved"

But have _not_ included the line "

When packets collide the controllers cease transmission AND wait a random time before retransmission (mostly)!

"

Regards
Tony K

--

---

From: "Smith, Donald" <[email-masked]>
Date: Sun, 17 Jun 2012 13:21:33 -0600

You don't need to include the Ethernet reference that is just a sig of mine. It wasn't intended as an actual comment on this rfc.
It is based on the fact that in the early days of Ethernet some routers ignored the back off portion of the Ethernet standard.
It is a reminder that standards are only as good as the implementation which depends on engineer's understanding of the standard.

You addressed the rest of my concerns so far. Thank you.

(coffee != sleep) & (!coffee == sleep)
 [email-masked]<mailto:[email-masked]>
________________________________
From: [email-masked] [[email-masked]] On Behalf Of Anthony Kirkham [[email-masked]]
Sent: Saturday, June 16, 2012 11:59 PM
To: [email-masked]
Subject: [GROW] Updates to draft-ietf-grow-private-ip-sp-cores

All,

I have just posted a new version of draft-ietf-grow-private-ip-sp-cores. I have made the following minor changes to the document. Thank you to those people who provided review and feedback.

Section 12.2

Section 1 - Introduction

From:

"The practice of ISPs using ‘stolen’ address space (also known as 'squat' space) has many of the same issues (or effects) as that of using private IP address space within core networks.", plus some additional

 to:

"The practice of ISPs using ‘stolen’ address space (also known as 'squat' space) has many of the same, plus some additional issues (or effects) as that of using private IP address space within core networks."

Section 3 - Effects on Traceroute

From:

to:

Within Section 5:

...

following para, from:

to:

"This duplicate address space scenario has the potential to cause confusion among operational staff, thereby making it more difficult to successfully debug networking problems."

Note: I think the wording here needed to be a little clearer, but I'm not going to explicitly mention this is not a routing loop as I think the example itself is fairly clear.

"

Regards
Tony K

--

________________________________
This communication is the property of CenturyLink and may contain confidential or privileged information. Unauthorized use of this communication is strictly
prohibited and may be unlawful. If you have received this communication
in error, please immediately notify the sender by reply e-mail and destroy
all copies of the communication and any attachments.